timingila-cthulhu (3.0.0) unstable; urgency=medium

  * Implement unprivileged containers
  * Cthulhu API validation
  * DUStateChange! event missing on Update()

 -- SAH bot <sahbot@softathome.com>  Wed, 02 Oct 2024 08:53:23 +0000

timingila-cthulhu (2.2.0) unstable; urgency=medium

  * Create USP Controller instance when a container added

 -- SAH bot <sahbot@softathome.com>  Wed, 17 Jul 2024 13:19:26 +0000

timingila-cthulhu (2.1.3) unstable; urgency=medium

  * fix memory leaks and uninitialized values

 -- SAH bot <sahbot@softathome.com>  Thu, 16 May 2024 14:50:01 +0000

timingila-cthulhu (2.1.2) unstable; urgency=medium

  * disable dmproxy code since it might cause crashes

 -- SAH bot <sahbot@softathome.com>  Fri, 12 Jan 2024 14:35:42 +0000

timingila-cthulhu (2.1.1) unstable; urgency=medium

  * All amxm destructors should let top application unloading them

 -- SAH bot <sahbot@softathome.com>  Fri, 12 Jan 2024 14:09:52 +0000

timingila-cthulhu (2.1.0) unstable; urgency=medium

  * Service discovery - Advertisement via DNS.SD

 -- SAH bot <sahbot@softathome.com>  Fri, 15 Dec 2023 13:30:55 +0000

timingila-cthulhu (2.0.3) unstable; urgency=medium

  * Initialize return variables

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Dec 2023 09:33:52 +0000

timingila-cthulhu (2.0.2) unstable; urgency=medium

  * Implement ModuleVersion parameter

 -- SAH bot <sahbot@softathome.com>  Wed, 04 Oct 2023 19:46:06 +0000

timingila-cthulhu (2.0.1) unstable; urgency=medium

  * Opensource component

 -- SAH bot <sahbot@softathome.com>  Wed, 04 Oct 2023 13:15:47 +0000

timingila-cthulhu (2.0.0) unstable; urgency=medium

  * EE ModifyConstraints not aligned with standard

 -- SAH bot <sahbot@softathome.com>  Mon, 11 Sep 2023 14:13:01 +0000

timingila-cthulhu (1.2.1) unstable; urgency=medium

  * Make component available on gitlab.softathome.com

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Sep 2023 12:19:54 +0000

timingila-cthulhu (1.2.0) unstable; urgency=medium

  * SoftwareModules.ExecutionUnit.{i}.HostObject is missing in datamodel

 -- SAH bot <sahbot@softathome.com>  Fri, 28 Jul 2023 08:06:10 +0000

timingila-cthulhu (1.1.2) unstable; urgency=medium

  * Add global networkconfig

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Jul 2023 13:58:46 +0000

timingila-cthulhu (1.1.1) unstable; urgency=medium

  * Update NetworkConfig in datamodel

 -- SAH bot <sahbot@softathome.com>  Wed, 05 Jul 2023 08:31:16 +0000

timingila-cthulhu (1.1.0) unstable; urgency=medium

  * pass NetworkConfig parameters to Cthulhu

 -- SAH bot <sahbot@softathome.com>  Mon, 19 Jun 2023 13:36:46 +0000

timingila-cthulhu (1.0.0) unstable; urgency=medium

  * DU/EU Unique Identifier

 -- SAH bot <sahbot@softathome.com>  Fri, 02 Jun 2023 13:48:32 +0000

timingila-cthulhu (0.5.0) unstable; urgency=medium

  * Implement HostObjects

 -- SAH bot <sahbot@softathome.com>  Mon, 17 Apr 2023 07:37:08 +0000

timingila-cthulhu (0.4.13) unstable; urgency=medium

  * [timingila-cthulhu] In update path dont delete du in rlyeh if the versions between old and new are the same

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Mar 2023 10:07:33 +0000

timingila-cthulhu (0.4.12) unstable; urgency=medium

  * [Cthulhu] upgrading container when not enough space on disk...

 -- SAH bot <sahbot@softathome.com>  Tue, 14 Mar 2023 20:12:30 +0000

timingila-cthulhu (0.4.11) unstable; urgency=medium

  * [LCM] Expose time for firstInstall and lastupdate

 -- SAH bot <sahbot@softathome.com>  Wed, 01 Mar 2023 09:17:17 +0000

timingila-cthulhu (0.4.10) unstable; urgency=medium

  * [timingila] Use STAGING_LIBDIR instead of LIBDIR in src/makefile

 -- SAH bot <sahbot@softathome.com>  Mon, 27 Feb 2023 10:13:51 +0000

timingila-cthulhu (0.4.9) unstable; urgency=medium

  * DU installation failure should be reported as such

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Feb 2023 14:36:55 +0000

timingila-cthulhu (0.4.8) unstable; urgency=medium

  * during Update restrictions should be updatable

 -- SAH bot <sahbot@softathome.com>  Mon, 13 Feb 2023 13:38:39 +0000

timingila-cthulhu (0.4.7) unstable; urgency=medium

  * EU has wrong transient state when transitioning from Active to Idle

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Feb 2023 11:28:01 +0000

timingila-cthulhu (0.4.6) unstable; urgency=medium

  * [Timingila-rlyeh] Missing information on reboot

 -- SAH bot <sahbot@softathome.com>  Tue, 07 Feb 2023 13:54:57 +0000

timingila-cthulhu (0.4.5) unstable; urgency=medium

  * DU instance created and not destroyed when DU installation fails

 -- SAH bot <sahbot@softathome.com>  Wed, 18 Jan 2023 12:52:50 +0000

timingila-cthulhu (0.4.4) unstable; urgency=medium

  * Cthulhu should send error messages when it fails

 -- SAH bot <sahbot@softathome.com>  Wed, 23 Nov 2022 14:51:03 +0000

timingila-cthulhu (0.4.3) unstable; urgency=medium

  * allow for several subdirs on repo

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Oct 2022 08:05:39 +0000

timingila-cthulhu (0.4.2) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Thu, 22 Sep 2022 11:09:00 +0000

timingila-cthulhu (0.4.1) unstable; urgency=medium

  * add AutoStart parameter to InstallDU

 -- SAH bot <sahbot@softathome.com>  Wed, 21 Sep 2022 13:21:56 +0000

timingila-cthulhu (0.4.0) unstable; urgency=medium

  * allow create and update to override resource limitations
  * It is not possible to retrieve the Creation Timestamp related parameter for the EE, it does not exist

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Jul 2022 08:56:44 +0000

timingila-cthulhu (0.3.7) unstable; urgency=medium

  * - wait for Cthulhu to be on bus before subscribing on events

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Jun 2022 15:53:15 +0000

timingila-cthulhu (0.3.6) unstable; urgency=medium

  * [cthulhu] expose EU resource limitations in Cthulhu and Timingila

 -- SAH bot <sahbot@softathome.com>  Fri, 03 Jun 2022 10:30:20 +0000

timingila-cthulhu (0.3.5) unstable; urgency=medium

  * : Execution Environments: Remove (and LCM-111, LCM-112)

 -- SAH bot <sahbot@softathome.com>  Wed, 18 May 2022 10:18:07 +0000

timingila-cthulhu (0.3.4) unstable; urgency=medium

  * Deployment Units: Retrieve. Install Timestamp

 -- SAH bot <sahbot@softathome.com>  Wed, 18 May 2022 09:34:44 +0000

timingila-cthulhu (0.3.3) unstable; urgency=medium

  * LCM-136 : Execution Environments: Add Execution Environments: Add. Notifications - Operation Complete

 -- SAH bot <sahbot@softathome.com>  Tue, 17 May 2022 13:56:37 +0000

timingila-cthulhu (0.3.2) unstable; urgency=medium

  * Execution Environments: Modify. Description

 -- SAH bot <sahbot@softathome.com>  Mon, 02 May 2022 13:12:06 +0000

timingila-cthulhu (0.3.1) unstable; urgency=medium

  * Expose Purge api to TR181 DM

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Apr 2022 14:18:11 +0000

timingila-cthulhu (0.3.0) unstable; urgency=medium

  * Read resources from EU

 -- SAH bot <sahbot@softathome.com>  Mon, 28 Mar 2022 13:04:10 +0000

timingila-cthulhu (0.2.8) unstable; urgency=medium

  * Command to modify resoiurce constraints of an Execution Environment

 -- SAH bot <sahbot@softathome.com>  Mon, 07 Mar 2022 17:15:21 +0000

timingila-cthulhu (0.2.7) unstable; urgency=medium

  * [LCM] Expose in SoftwareModules the available mem, diskspace of an EE (sandbox)

 -- SAH bot <sahbot@softathome.com>  Tue, 22 Feb 2022 19:58:06 +0000

timingila-cthulhu (0.2.6) unstable; urgency=medium

  * [LCM] EU broken due to change to euname

 -- SAH bot <sahbot@softathome.com>  Tue, 22 Feb 2022 13:21:37 +0000

timingila-cthulhu (0.2.5) unstable; urgency=medium

  * Installing a DU using an actual UUID does not lead to the creation of the EU

 -- SAH bot <sahbot@softathome.com>  Mon, 14 Feb 2022 14:34:13 +0000

timingila-cthulhu (0.2.4) unstable; urgency=medium

  * Execution Environments: Restart
  * ExecutionUnit: Restart
  * [LCM] Constrain the EE (sandbox) with mem, cpu, diskspace

 -- SAH bot <sahbot@softathome.com>  Fri, 04 Feb 2022 09:19:31 +0000

timingila-cthulhu (0.2.3) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Mon, 13 Dec 2021 17:46:36 +0000

timingila-cthulhu (0.2.2) unstable; urgency=medium

  * Implement DeploymentUnit Update

 -- SAH bot <sahbot@softathome.com>  Fri, 03 Dec 2021 03:16:35 +0000

timingila-cthulhu (0.2.1) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 23 Nov 2021 22:24:17 +0000

timingila-cthulhu (0.2.0) unstable; urgency=medium

  * [Timingila] Implement DU.Uninstall()

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Oct 2021 11:22:33 +0000

timingila-cthulhu (0.1.2) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 14 Sep 2021 15:07:30 +0000

timingila-cthulhu (0.1.1) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 14 Sep 2021 11:59:35 +0000

timingila-cthulhu (0.1.0) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Fri, 10 Sep 2021 09:12:28 +0000


timingila-cthulhu (0.0.1) unstable; urgency=medium

  * Initial release

 -- Jef Steelant <jef.steelant_ext@softathome.com>  Wed, 16 Jun 2021 10:36:28 +0000
